Name:           template-glib
Version:        3.34.0
Release:        1
Summary:        A library to help generate text based on a template and user defined state
License:        LGPLv2+
URL:            https://git.gnome.org/browse/template-glib/
Source0:        https://download.gnome.org/sources/%{name}/3.34/%{name}-%{version}.tar.xz

BuildRequires:  bison flex gettext gtk-doc meson vala pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Template-GLib is a library to help you generate text based on a template and
user defined state. Template-GLib does not use a language runtime, so it is
safe to use from any GObject-Introspectable language.

Template-GLib allows you to access properties on GObjects as well as call
simple methods via GObject-Introspection. See our examples for how to call
methods.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson -D enable_gtk_doc=true
%meson_build

%install
%meson_install
%find_lang template-glib

%files -f template-glib.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libtemplate_glib-1.0.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Template-1.0.typelib

%files devel
%doc CONTRIBUTING.md examples
%{_includedir}/*
%{_libdir}/*.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Template-1.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/template-glib
%{_libdir}/pkgconfig/template-glib-1.0.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/template-glib-1.0.*

%changelog
* Wed Jun 30 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.34.0-1
- Package init with 3.34.0
